<template>
  <section class="section">
    <div class="box" v-if="!isStarted">
      <h1 class="title is-1">自由課題で写経</h1>
      <h2 class="title is-2">書き取りたい内容を入れてください</h2>
      <textarea cols="30" rows="10" class="textarea" v-model="mytext"></textarea>
      <button class="button is-primary is-fullwidth my-3" @click="toggleStart">完了</button>
    </div>
    <div class="box" v-else>
      <WriterBox :url="url" :answer="mytext" :height="mytext.length"/>
      <MiniRegister />
    </div>
  </section>
</template>

<script setup lang="ts">
import WriterBox from "../../components/Trace/WriterBox.vue";
import MiniRegister from "~~/components/Util/MiniRegister.vue";
const mytext = ref("");
const isStarted = ref(false)
const url = ref("")
const toggleStart = () => {
  isStarted.value = true
}
onMounted(() => {
  scrollTo({top: 0})
  useMobMenu().value = false
})
</script>